- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# utm_proxy_location_info – create, update or destroy reverse_proxy location entry in Sophos UTM

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Create, update or destroy a reverse_proxy location entry in SOPHOS UTM.
- This module needs to have the REST Ability of the UTM to be activated.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
headers dictionary |  | A dictionary of additional headers to be sent to POST and PUT requests. Is needed for some modules
name - / required |  | The name of the object. Will be used to identify the entry
state string | Choices: absent present ← | The desired state of the object. `present` will create or update an object `absent` will delete an object if it was present
utm_host string / required |  | The REST Endpoint of the Sophos UTM.
utm_port integer | Default: 4444 | The port of the REST interface.
utm_protocol string | Choices: http https ← | The protocol of the REST Endpoint.
utm_token string / required |  | The token used to identify at the REST-API. See https://www.sophos.com/en-us/medialibrary/PDFs/documentation/UTMonAWS/Sophos-UTM-RESTful-API.pdf?la=en, Chapter 2.4.2.
validate_certs boolean | Choices: no yes ← | Whether the REST interface's ssl certificate should be verified or not.

## Examples

    - name: Remove UTM proxy_location
      utm_proxy_location_info:
        utm_host: sophos.host.name
        utm_token: abcdefghijklmno1234
        name: TestLocationEntry

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
result complex | success | The utm object that was created
| _locked boolean |  | Whether or not the object is currently locked
| _ref string |  | The reference name of the object
| _type string |  | The type of the object
| access_control string |  | Whether to use access control state
| allowed_networks list |  | List of allowed network reference names
| auth_profile string |  | The auth profile reference name
| backend string |  | The backend reference name
| be_path string |  | The backend path
| comment string |  | The comment string
| denied_networks list |  | The list of the denied network names
| hot_standby boolean |  | Use hot standy
| name string |  | The name of the object
| path string |  | Path name
| status boolean |  | Whether the object is active or not
| stickysession_id string |  | The identifier of the stickysession
| stickysession_status boolean |  | Whether to use stickysession or not
| websocket_passthrough boolean |  | Whether websocket passthrough will be used or not

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Johannes Brunswicker (@MatrixCrawler)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.